Bug 208164 - API for Introduce Local Extension Refactoring
API for Introduce Local Extension Refactoring
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Ralph Ruijs
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 208126
  Show dependency treegraph
 
Reported: 2012-02-08 13:34 UTC by Ralph Ruijs
Modified: 2012-02-17 11:00 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
API change (12.03 KB, patch)
2012-02-08 13:55 UTC, Ralph Ruijs
Details | Diff
Updated javadoc (13.72 KB, patch)
2012-02-14 15:11 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2012-02-08 13:34:17 UTC

    
Comment 1 Ralph Ruijs 2012-02-08 13:55:42 UTC
Created attachment 115518 [details]
API change

Please review attached patch.
Comment 2 Jesse Glick 2012-02-13 20:33:19 UTC
Why is the target of the refactoring called a "server" class? To me this means it listens on some port for protocol requests.
Comment 3 Ralph Ruijs 2012-02-14 15:11:16 UTC
The term "server class" is used in all the documentation I found on Introduce Local Extension. I removed "server" from the javadoc, as it was not adding anything to it.
Comment 4 Ralph Ruijs 2012-02-14 15:11:23 UTC
Created attachment 115710 [details]
Updated javadoc
Comment 5 Ralph Ruijs 2012-02-14 15:13:31 UTC
If it is ok, I will integrate tomorrow.
Comment 6 Ralph Ruijs 2012-02-16 08:09:55 UTC
http://hg.netbeans.org/jet-main/rev/c680b1fb479f
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-02-16 08:41
Message:   Issue #208164 - API for Introduce Local Extension Refactoring
Comment 7 Quality Engineering 2012-02-17 11:00:33 UTC
Integrated into 'main-golden', will be available in build *201202170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c680b1fb479f
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #208164 - API for Introduce Local Extension Refactoring


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo